<?xml version="1.0" encoding="utf-8"?>
<!-- Created by:  XBRL Wizard, EasyX -->
<!-- Document created: 10-04-2025 15:33:08 -->
<!-- Version:  -->
<link:linkbase xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xbrli="http://www.xbrl.org/2003/instance">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="Prevas-2024-12-31.xsd#Prevas_DepreciationOfTangibleFixedAssets" xlink:label="DepreciationOfTangibleFixedAssets" xlink:title="DepreciationOfTangibleFixedAssets" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="label_DepreciationOfTangibleFixedAssets_en" xlink:title="label_DepreciationOfTangibleFixedAssets_en" xml:lang="en" id="label_DepreciationOfTangibleFixedAssets_en">Depreciation of tangible fixed assets</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DepreciationOfTangibleFixedAssets" xlink:to="label_DepreciationOfTangibleFixedAssets_en" xlink:title="label: DepreciationOfTangibleFixedAssets to labellabel_DepreciationOfTangibleFixedAssets_en" order="10.0" />
    <link:loc xlink:type="locator" xlink:href="Prevas-2024-12-31.xsd#Prevas_DepriciationOfRightOfUseAsset" xlink:label="DepriciationOfRightOfUseAsset" xlink:title="DepriciationOfRightOfUseAsset" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="label_DepriciationOfRightOfUseAsset_en" xlink:title="label_DepriciationOfRightOfUseAsset_en" xml:lang="en" id="label_DepriciationOfRightOfUseAsset_en">Depriciation of right of use asset</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DepriciationOfRightOfUseAsset" xlink:to="label_DepriciationOfRightOfUseAsset_en" xlink:title="label: DepriciationOfRightOfUseAsset to labellabel_DepriciationOfRightOfUseAsset_en" order="10.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OperatingExpense" xlink:label="ifrs-full_OperatingExpense" xlink:title="ifrs-full_OperatingExpense" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="label_OperatingExpense_entotal" xlink:title="label_OperatingExpense_en" xml:lang="en" id="label_OperatingExpense_entotal">Operating expense</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_OperatingExpense" xlink:to="label_OperatingExpense_entotal" xlink:title="label: ifrs-full_OperatingExpense to labellabel_OperatingExpense_entotal" order="10.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceIncomeCost" xlink:label="ifrs-full_FinanceIncomeCost" xlink:title="ifrs-full_FinanceIncomeCost" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="label_FinanceIncomeCost_entotal" xlink:title="label_FinanceIncomeCost_en" xml:lang="en" id="label_FinanceIncomeCost_entotal">Finance income (cost)</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_FinanceIncomeCost" xlink:to="label_FinanceIncomeCost_entotal" xlink:title="label: ifrs-full_FinanceIncomeCost to labellabel_FinanceIncomeCost_entotal" order="10.0" />
    <link:loc xlink:type="locator" xlink:href="Prevas-2024-12-31.xsd#Prevas_LongTermInterestBearingLiabilities" xlink:label="LongTermInterestBearingLiabilities" xlink:title="LongTermInterestBearingLiabilities" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="label_LongTermInterestBearingLiabilities_en" xlink:title="label_LongTermInterestBearingLiabilities_en" xml:lang="en" id="label_LongTermInterestBearingLiabilities_en">Long-term interest-bearing liabilities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LongTermInterestBearingLiabilities" xlink:to="label_LongTermInterestBearingLiabilities_en" xlink:title="label: LongTermInterestBearingLiabilities to labellabel_LongTermInterestBearingLiabilities_en" order="10.0" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" xlink:label="label_LongTermInterestBearingLiabilities_enStart" xlink:title="label_LongTermInterestBearingLiabilities_en" xml:lang="en" id="label_LongTermInterestBearingLiabilities_enStart">Long-term interest-bearing liabilities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LongTermInterestBearingLiabilities" xlink:to="label_LongTermInterestBearingLiabilities_enStart" xlink:title="label: LongTermInterestBearingLiabilities to labellabel_LongTermInterestBearingLiabilities_enStart" order="20.0" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel" xlink:label="label_LongTermInterestBearingLiabilities_enEnd" xlink:title="label_LongTermInterestBearingLiabilities_en" xml:lang="en" id="label_LongTermInterestBearingLiabilities_enEnd">Long-term interest-bearing liabilities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LongTermInterestBearingLiabilities" xlink:to="label_LongTermInterestBearingLiabilities_enEnd" xlink:title="label: LongTermInterestBearingLiabilities to labellabel_LongTermInterestBearingLiabilities_enEnd" order="30.0" />
    <link:loc xlink:type="locator" xlink:href="Prevas-2024-12-31.xsd#Prevas_ShortTermInterestBearingLiabilities" xlink:label="ShortTermInterestBearingLiabilities" xlink:title="ShortTermInterestBearingLiabilities" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="label_ShortTermInterestBearingLiabilities_en" xlink:title="label_ShortTermInterestBearingLiabilities_en" xml:lang="en" id="label_ShortTermInterestBearingLiabilities_en">Short-term interest-bearing liabilities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ShortTermInterestBearingLiabilities" xlink:to="label_ShortTermInterestBearingLiabilities_en" xlink:title="label: ShortTermInterestBearingLiabilities to labellabel_ShortTermInterestBearingLiabilities_en" order="10.0" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" xlink:label="label_ShortTermInterestBearingLiabilities_enStart" xlink:title="label_ShortTermInterestBearingLiabilities_en" xml:lang="en" id="label_ShortTermInterestBearingLiabilities_enStart">Short-term interest-bearing liabilities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ShortTermInterestBearingLiabilities" xlink:to="label_ShortTermInterestBearingLiabilities_enStart" xlink:title="label: ShortTermInterestBearingLiabilities to labellabel_ShortTermInterestBearingLiabilities_enStart" order="20.0" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel" xlink:label="label_ShortTermInterestBearingLiabilities_enEnd" xlink:title="label_ShortTermInterestBearingLiabilities_en" xml:lang="en" id="label_ShortTermInterestBearingLiabilities_enEnd">Short-term interest-bearing liabilities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ShortTermInterestBearingLiabilities" xlink:to="label_ShortTermInterestBearingLiabilities_enEnd" xlink:title="label: ShortTermInterestBearingLiabilities to labellabel_ShortTermInterestBearingLiabilities_enEnd" order="30.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:label="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:title="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="label_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_entotal" xlink:title="label_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_en" xml:lang="en" id="label_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_entotal">Cash flows from (used in) operations before changes in working capital</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="label_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_entotal" xlink:title="label: ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital to labellabel_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital_entotal" order="10.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:title="ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="label_CashFlowsFromUsedInOperatingActivities_entotal" xlink:title="label_CashFlowsFromUsedInOperatingActivities_en" xml:lang="en" id="label_CashFlowsFromUsedInOperatingActivities_entotal">Cash flows from (used in) operating activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="label_CashFlowsFromUsedInOperatingActivities_entotal" xlink:title="label: ifrs-full_CashFlowsFromUsedInOperatingActivities to labellabel_CashFlowsFromUsedInOperatingActivities_entotal" order="10.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:title="ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="label_CashFlowsFromUsedInInvestingActivities_entotal" xlink:title="label_CashFlowsFromUsedInInvestingActivities_en" xml:lang="en" id="label_CashFlowsFromUsedInInvestingActivities_entotal">Cash flows from (used in) investing activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="label_CashFlowsFromUsedInInvestingActivities_entotal" xlink:title="label: ifrs-full_CashFlowsFromUsedInInvestingActivities to labellabel_CashFlowsFromUsedInInvestingActivities_entotal" order="10.0" />
    <link:loc xlink:type="locator" xlink:href="Prevas-2024-12-31.xsd#Prevas_ProceedsFromDisposalOfFinancialAssets" xlink:label="ProceedsFromDisposalOfFinancialAssets" xlink:title="ProceedsFromDisposalOfFinancialAssets" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="label_ProceedsFromDisposalOfFinancialAssets_en" xlink:title="label_ProceedsFromDisposalOfFinancialAssets_en" xml:lang="en" id="label_ProceedsFromDisposalOfFinancialAssets_en">Proceeds from disposal of financial assets</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProceedsFromDisposalOfFinancialAssets" xlink:to="label_ProceedsFromDisposalOfFinancialAssets_en" xlink:title="label: ProceedsFromDisposalOfFinancialAssets to labellabel_ProceedsFromDisposalOfFinancialAssets_en" order="10.0" />
    <link:loc xlink:type="locator" xlink:href="Prevas-2024-12-31.xsd#Prevas_RepaymentOfShareholderContributionsForNonControllingInterests" xlink:label="RepaymentOfShareholderContributionsForNonControllingInterests" xlink:title="RepaymentOfShareholderContributionsForNonControllingInterests" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="label_RepaymentOfShareholderContributionsForNonControllingInterests_en" xlink:title="label_RepaymentOfShareholderContributionsForNonControllingInterests_en" xml:lang="en" id="label_RepaymentOfShareholderContributionsForNonControllingInterests_en">Repayment of shareholder contributions for non-controlling interests</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RepaymentOfShareholderContributionsForNonControllingInterests" xlink:to="label_RepaymentOfShareholderContributionsForNonControllingInterests_en" xlink:title="label: RepaymentOfShareholderContributionsForNonControllingInterests to labellabel_RepaymentOfShareholderContributionsForNonControllingInterests_en" order="10.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:title="ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="label_CashFlowsFromUsedInFinancingActivities_entotal" xlink:title="label_CashFlowsFromUsedInFinancingActivities_en" xml:lang="en" id="label_CashFlowsFromUsedInFinancingActivities_entotal">Cash flows from (used in) financing activities</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="label_CashFlowsFromUsedInFinancingActivities_entotal" xlink:title="label: ifrs-full_CashFlowsFromUsedInFinancingActivities to labellabel_CashFlowsFromUsedInFinancingActivities_entotal" order="10.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:title="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" />
    <link:label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="label_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_entotal" xlink:title="label_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_en" xml:lang="en" id="label_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_entotal">Increase (decrease) in cash and cash equivalents before effect of exchange rate changes</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="label_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_entotal" xlink:title="label: ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges to labellabel_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges_entotal" order="10.0" />
  </link:labelLink>
</link:linkbase>